source: src/libcfa/Makefile.in @ ed0e67a

aaron-thesisarm-ehcleanup-dtorsctordeferred_resndemanglerenumforall-pointer-decayjacob/cs343-translationjenkins-sandboxmemorynew-astnew-ast-unique-exprnew-envno_listpersistent-indexerpthread-emulationqualifiedEnumresolv-newwith_gc
Last change on this file since ed0e67a was ed0e67a, checked in by Peter A. Buhr <pabuhr@…>, 7 years ago

add stdhdr directory to includes, containing extern "C" include wrappers for standard C include files

  • Property mode set to 100644
File size: 21.4 KB
Line 
1# Makefile.in generated by automake 1.11.3 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5# 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
6# Foundation, Inc.
7# This Makefile.in is free software; the Free Software Foundation
8# gives unlimited permission to copy and/or distribute it,
9# with or without modifications, as long as this notice is preserved.
10
11# This program is distributed in the hope that it will be useful,
12# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14# PARTICULAR PURPOSE.
15
16@SET_MAKE@
17
18######################## -*- Mode: Makefile-Automake -*- ######################
19###############################################################################
20
21
22
23VPATH = @srcdir@
24pkgdatadir = $(datadir)/@PACKAGE@
25pkgincludedir = $(includedir)/@PACKAGE@
26pkglibdir = $(libdir)/@PACKAGE@
27pkglibexecdir = $(libexecdir)/@PACKAGE@
28am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
29install_sh_DATA = $(install_sh) -c -m 644
30install_sh_PROGRAM = $(install_sh) -c
31install_sh_SCRIPT = $(install_sh) -c
32INSTALL_HEADER = $(INSTALL_DATA)
33transform = $(program_transform_name)
34NORMAL_INSTALL = :
35PRE_INSTALL = :
36POST_INSTALL = :
37NORMAL_UNINSTALL = :
38PRE_UNINSTALL = :
39POST_UNINSTALL = :
40subdir = src/libcfa
41DIST_COMMON = $(nobase_include_HEADERS) $(srcdir)/Makefile.am \
42        $(srcdir)/Makefile.in
43ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
44am__aclocal_m4_deps = $(top_srcdir)/configure.ac
45am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
46        $(ACLOCAL_M4)
47mkinstalldirs = $(install_sh) -d
48CONFIG_HEADER = $(top_builddir)/config.h
49CONFIG_CLEAN_FILES =
50CONFIG_CLEAN_VPATH_FILES =
51am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
52am__vpath_adj = case $$p in \
53    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
54    *) f=$$p;; \
55  esac;
56am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
57am__install_max = 40
58am__nobase_strip_setup = \
59  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
60am__nobase_strip = \
61  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
62am__nobase_list = $(am__nobase_strip_setup); \
63  for p in $$list; do echo "$$p $$p"; done | \
64  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
65  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
66    if (++n[$$2] == $(am__install_max)) \
67      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
68    END { for (dir in files) print dir, files[dir] }'
69am__base_list = \
70  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
71  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
72am__uninstall_files_from_dir = { \
73  test -z "$$files" \
74    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
75    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
76         $(am__cd) "$$dir" && rm -f $$files; }; \
77  }
78am__installdirs = "$(DESTDIR)$(libdir)" "$(DESTDIR)$(cfalibdir)" \
79        "$(DESTDIR)$(includedir)"
80LIBRARIES = $(lib_LIBRARIES)
81AR = ar
82ARFLAGS = cru
83AM_V_AR = $(am__v_AR_@AM_V@)
84am__v_AR_ = $(am__v_AR_@AM_DEFAULT_V@)
85am__v_AR_0 = @echo "  AR    " $@;
86AM_V_at = $(am__v_at_@AM_V@)
87am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
88am__v_at_0 = @
89libcfa_a_AR = $(AR) $(ARFLAGS)
90libcfa_a_LIBADD =
91am__dirstamp = $(am__leading_dot)dirstamp
92am__objects_1 = limits.$(OBJEXT) stdlib.$(OBJEXT) math.$(OBJEXT) \
93        iostream.$(OBJEXT) fstream.$(OBJEXT) iterator.$(OBJEXT) \
94        rational.$(OBJEXT) containers/vector.$(OBJEXT)
95am_libcfa_a_OBJECTS = libcfa-prelude.$(OBJEXT) $(am__objects_1)
96libcfa_a_OBJECTS = $(am_libcfa_a_OBJECTS)
97DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
98depcomp = $(SHELL) $(top_srcdir)/automake/depcomp
99am__depfiles_maybe = depfiles
100am__mv = mv -f
101COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
102        $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
103AM_V_CC = $(am__v_CC_@AM_V@)
104am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
105am__v_CC_0 = @echo "  CC    " $@;
106CCLD = $(CC)
107LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
108AM_V_CCLD = $(am__v_CCLD_@AM_V@)
109am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
110am__v_CCLD_0 = @echo "  CCLD  " $@;
111AM_V_GEN = $(am__v_GEN_@AM_V@)
112am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
113am__v_GEN_0 = @echo "  GEN   " $@;
114SOURCES = $(libcfa_a_SOURCES)
115DIST_SOURCES = $(libcfa_a_SOURCES)
116DATA = $(cfalib_DATA)
117HEADERS = $(nobase_include_HEADERS)
118ETAGS = etags
119CTAGS = ctags
120DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
121ACLOCAL = @ACLOCAL@
122ALLOCA = @ALLOCA@
123AMTAR = @AMTAR@
124AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
125AUTOCONF = @AUTOCONF@
126AUTOHEADER = @AUTOHEADER@
127AUTOMAKE = @AUTOMAKE@
128AWK = @AWK@
129BACKEND_CC = @BACKEND_CC@
130CC = ${abs_top_srcdir}/src/driver/cfa
131CCDEPMODE = @CCDEPMODE@
132CFA_BACKEND_CC = @CFA_BACKEND_CC@
133CFA_BINDIR = @CFA_BINDIR@
134CFA_INCDIR = @CFA_INCDIR@
135CFA_LIBDIR = @CFA_LIBDIR@
136CFA_PREFIX = @CFA_PREFIX@
137CFLAGS = -quiet -g -Wall -Wno-unused-function -B${abs_top_srcdir}/src/driver -XCFA -t  # TEMPORARY: does not build with -O2
138CPP = @CPP@
139CPPFLAGS = @CPPFLAGS@
140CXX = @CXX@
141CXXDEPMODE = @CXXDEPMODE@
142CXXFLAGS = @CXXFLAGS@
143CYGPATH_W = @CYGPATH_W@
144DEFS = @DEFS@
145DEPDIR = @DEPDIR@
146ECHO_C = @ECHO_C@
147ECHO_N = @ECHO_N@
148ECHO_T = @ECHO_T@
149EGREP = @EGREP@
150EXEEXT = @EXEEXT@
151GREP = @GREP@
152INSTALL = @INSTALL@
153INSTALL_DATA = @INSTALL_DATA@
154INSTALL_PROGRAM = @INSTALL_PROGRAM@
155INSTALL_SCRIPT = @INSTALL_SCRIPT@
156INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
157LDFLAGS = @LDFLAGS@
158LEX = @LEX@
159LEXLIB = @LEXLIB@
160LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
161LIBOBJS = @LIBOBJS@
162LIBS = @LIBS@
163LTLIBOBJS = @LTLIBOBJS@
164MAINT = @MAINT@
165MAKEINFO = @MAKEINFO@
166MKDIR_P = @MKDIR_P@
167OBJEXT = @OBJEXT@
168PACKAGE = @PACKAGE@
169PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
170PACKAGE_NAME = @PACKAGE_NAME@
171PACKAGE_STRING = @PACKAGE_STRING@
172PACKAGE_TARNAME = @PACKAGE_TARNAME@
173PACKAGE_URL = @PACKAGE_URL@
174PACKAGE_VERSION = @PACKAGE_VERSION@
175PATH_SEPARATOR = @PATH_SEPARATOR@
176RANLIB = @RANLIB@
177SET_MAKE = @SET_MAKE@
178SHELL = @SHELL@
179STRIP = @STRIP@
180VERSION = @VERSION@
181YACC = @YACC@
182YFLAGS = @YFLAGS@
183abs_builddir = @abs_builddir@
184abs_srcdir = @abs_srcdir@
185abs_top_builddir = @abs_top_builddir@
186abs_top_srcdir = @abs_top_srcdir@
187ac_ct_CC = @ac_ct_CC@
188ac_ct_CXX = @ac_ct_CXX@
189am__include = @am__include@
190am__leading_dot = @am__leading_dot@
191am__quote = @am__quote@
192am__tar = @am__tar@
193am__untar = @am__untar@
194bindir = @bindir@
195build_alias = @build_alias@
196builddir = @builddir@
197datadir = @datadir@
198datarootdir = @datarootdir@
199docdir = @docdir@
200dvidir = @dvidir@
201exec_prefix = @exec_prefix@
202host_alias = @host_alias@
203htmldir = @htmldir@
204includedir = @includedir@
205infodir = @infodir@
206install_sh = @install_sh@
207libdir = @libdir@
208libexecdir = @libexecdir@
209localedir = @localedir@
210localstatedir = @localstatedir@
211mandir = @mandir@
212mkdir_p = @mkdir_p@
213oldincludedir = @oldincludedir@
214pdfdir = @pdfdir@
215prefix = @prefix@
216program_transform_name = @program_transform_name@
217psdir = @psdir@
218sbindir = @sbindir@
219sharedstatedir = @sharedstatedir@
220srcdir = @srcdir@
221sysconfdir = @sysconfdir@
222target_alias = @target_alias@
223top_build_prefix = @top_build_prefix@
224top_builddir = @top_builddir@
225top_srcdir = @top_srcdir@
226
227# create object files in directory with source files
228AUTOMAKE_OPTIONS = subdir-objects
229lib_LIBRARIES = libcfa.a
230
231# put into lib for now
232cfalibdir = ${libdir}
233cfalib_DATA = builtins.cf extras.cf prelude.cf
234MAINTAINERCLEANFILES = builtins.cf extras.cf ${addprefix ${libdir}/,${cfalib_DATA}} ${addprefix ${libdir}/,${lib_LIBRARIES}}
235headers = limits stdlib math iostream fstream iterator rational containers/vector
236libobjs = ${headers:=.o}
237libcfa_a_SOURCES = libcfa-prelude.c ${headers:=.c}
238stdhdr = ${shell echo stdhdr/*}
239nobase_include_HEADERS = ${headers} ${stdhdr}
240CLEANFILES = libcfa-prelude.c
241all: all-am
242
243.SUFFIXES:
244.SUFFIXES: .c .o .obj
245$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
246        @for dep in $?; do \
247          case '$(am__configure_deps)' in \
248            *$$dep*) \
249              ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
250                && { if test -f $@; then exit 0; else break; fi; }; \
251              exit 1;; \
252          esac; \
253        done; \
254        echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign src/libcfa/Makefile'; \
255        $(am__cd) $(top_srcdir) && \
256          $(AUTOMAKE) --foreign src/libcfa/Makefile
257.PRECIOUS: Makefile
258Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
259        @case '$?' in \
260          *config.status*) \
261            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
262          *) \
263            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
264            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
265        esac;
266
267$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
268        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
269
270$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
271        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
272$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
273        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
274$(am__aclocal_m4_deps):
275install-libLIBRARIES: $(lib_LIBRARIES)
276        @$(NORMAL_INSTALL)
277        test -z "$(libdir)" || $(MKDIR_P) "$(DESTDIR)$(libdir)"
278        @list='$(lib_LIBRARIES)'; test -n "$(libdir)" || list=; \
279        list2=; for p in $$list; do \
280          if test -f $$p; then \
281            list2="$$list2 $$p"; \
282          else :; fi; \
283        done; \
284        test -z "$$list2" || { \
285          echo " $(INSTALL_DATA) $$list2 '$(DESTDIR)$(libdir)'"; \
286          $(INSTALL_DATA) $$list2 "$(DESTDIR)$(libdir)" || exit $$?; }
287        @$(POST_INSTALL)
288        @list='$(lib_LIBRARIES)'; test -n "$(libdir)" || list=; \
289        for p in $$list; do \
290          if test -f $$p; then \
291            $(am__strip_dir) \
292            echo " ( cd '$(DESTDIR)$(libdir)' && $(RANLIB) $$f )"; \
293            ( cd "$(DESTDIR)$(libdir)" && $(RANLIB) $$f ) || exit $$?; \
294          else :; fi; \
295        done
296
297uninstall-libLIBRARIES:
298        @$(NORMAL_UNINSTALL)
299        @list='$(lib_LIBRARIES)'; test -n "$(libdir)" || list=; \
300        files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
301        dir='$(DESTDIR)$(libdir)'; $(am__uninstall_files_from_dir)
302
303clean-libLIBRARIES:
304        -test -z "$(lib_LIBRARIES)" || rm -f $(lib_LIBRARIES)
305containers/$(am__dirstamp):
306        @$(MKDIR_P) containers
307        @: > containers/$(am__dirstamp)
308containers/$(DEPDIR)/$(am__dirstamp):
309        @$(MKDIR_P) containers/$(DEPDIR)
310        @: > containers/$(DEPDIR)/$(am__dirstamp)
311containers/vector.$(OBJEXT): containers/$(am__dirstamp) \
312        containers/$(DEPDIR)/$(am__dirstamp)
313libcfa.a: $(libcfa_a_OBJECTS) $(libcfa_a_DEPENDENCIES) $(EXTRA_libcfa_a_DEPENDENCIES)
314        $(AM_V_at)-rm -f libcfa.a
315        $(AM_V_AR)$(libcfa_a_AR) libcfa.a $(libcfa_a_OBJECTS) $(libcfa_a_LIBADD)
316        $(AM_V_at)$(RANLIB) libcfa.a
317
318mostlyclean-compile:
319        -rm -f *.$(OBJEXT)
320        -rm -f containers/vector.$(OBJEXT)
321
322distclean-compile:
323        -rm -f *.tab.c
324
325@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/fstream.Po@am__quote@
326@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/iostream.Po@am__quote@
327@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/iterator.Po@am__quote@
328@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/libcfa-prelude.Po@am__quote@
329@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/limits.Po@am__quote@
330@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/math.Po@am__quote@
331@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/rational.Po@am__quote@
332@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/stdlib.Po@am__quote@
333@AMDEP_TRUE@@am__include@ @am__quote@containers/$(DEPDIR)/vector.Po@am__quote@
334
335.c.o:
336@am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
337@am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
338@am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Po
339@AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
340@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
341@am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
342
343.c.obj:
344@am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
345@am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
346@am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Po
347@AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
348@AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
349@am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
350install-cfalibDATA: $(cfalib_DATA)
351        @$(NORMAL_INSTALL)
352        test -z "$(cfalibdir)" || $(MKDIR_P) "$(DESTDIR)$(cfalibdir)"
353        @list='$(cfalib_DATA)'; test -n "$(cfalibdir)" || list=; \
354        for p in $$list; do \
355          if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
356          echo "$$d$$p"; \
357        done | $(am__base_list) | \
358        while read files; do \
359          echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(cfalibdir)'"; \
360          $(INSTALL_DATA) $$files "$(DESTDIR)$(cfalibdir)" || exit $$?; \
361        done
362
363uninstall-cfalibDATA:
364        @$(NORMAL_UNINSTALL)
365        @list='$(cfalib_DATA)'; test -n "$(cfalibdir)" || list=; \
366        files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
367        dir='$(DESTDIR)$(cfalibdir)'; $(am__uninstall_files_from_dir)
368install-nobase_includeHEADERS: $(nobase_include_HEADERS)
369        @$(NORMAL_INSTALL)
370        test -z "$(includedir)" || $(MKDIR_P) "$(DESTDIR)$(includedir)"
371        @list='$(nobase_include_HEADERS)'; test -n "$(includedir)" || list=; \
372        $(am__nobase_list) | while read dir files; do \
373          xfiles=; for file in $$files; do \
374            if test -f "$$file"; then xfiles="$$xfiles $$file"; \
375            else xfiles="$$xfiles $(srcdir)/$$file"; fi; done; \
376          test -z "$$xfiles" || { \
377            test "x$$dir" = x. || { \
378              echo "$(MKDIR_P) '$(DESTDIR)$(includedir)/$$dir'"; \
379              $(MKDIR_P) "$(DESTDIR)$(includedir)/$$dir"; }; \
380            echo " $(INSTALL_HEADER) $$xfiles '$(DESTDIR)$(includedir)/$$dir'"; \
381            $(INSTALL_HEADER) $$xfiles "$(DESTDIR)$(includedir)/$$dir" || exit $$?; }; \
382        done
383
384uninstall-nobase_includeHEADERS:
385        @$(NORMAL_UNINSTALL)
386        @list='$(nobase_include_HEADERS)'; test -n "$(includedir)" || list=; \
387        $(am__nobase_strip_setup); files=`$(am__nobase_strip)`; \
388        dir='$(DESTDIR)$(includedir)'; $(am__uninstall_files_from_dir)
389
390ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
391        list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
392        unique=`for i in $$list; do \
393            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
394          done | \
395          $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
396              END { if (nonempty) { for (i in files) print i; }; }'`; \
397        mkid -fID $$unique
398tags: TAGS
399
400TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
401                $(TAGS_FILES) $(LISP)
402        set x; \
403        here=`pwd`; \
404        list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
405        unique=`for i in $$list; do \
406            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
407          done | \
408          $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
409              END { if (nonempty) { for (i in files) print i; }; }'`; \
410        shift; \
411        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
412          test -n "$$unique" || unique=$$empty_fix; \
413          if test $$# -gt 0; then \
414            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
415              "$$@" $$unique; \
416          else \
417            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
418              $$unique; \
419          fi; \
420        fi
421ctags: CTAGS
422CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
423                $(TAGS_FILES) $(LISP)
424        list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
425        unique=`for i in $$list; do \
426            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
427          done | \
428          $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
429              END { if (nonempty) { for (i in files) print i; }; }'`; \
430        test -z "$(CTAGS_ARGS)$$unique" \
431          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
432             $$unique
433
434GTAGS:
435        here=`$(am__cd) $(top_builddir) && pwd` \
436          && $(am__cd) $(top_srcdir) \
437          && gtags -i $(GTAGS_ARGS) "$$here"
438
439distclean-tags:
440        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
441
442distdir: $(DISTFILES)
443        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
444        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
445        list='$(DISTFILES)'; \
446          dist_files=`for file in $$list; do echo $$file; done | \
447          sed -e "s|^$$srcdirstrip/||;t" \
448              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
449        case $$dist_files in \
450          */*) $(MKDIR_P) `echo "$$dist_files" | \
451                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
452                           sort -u` ;; \
453        esac; \
454        for file in $$dist_files; do \
455          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
456          if test -d $$d/$$file; then \
457            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
458            if test -d "$(distdir)/$$file"; then \
459              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
460            fi; \
461            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
462              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
463              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
464            fi; \
465            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
466          else \
467            test -f "$(distdir)/$$file" \
468            || cp -p $$d/$$file "$(distdir)/$$file" \
469            || exit 1; \
470          fi; \
471        done
472check-am: all-am
473check: check-am
474all-am: Makefile $(LIBRARIES) $(DATA) $(HEADERS)
475installdirs:
476        for dir in "$(DESTDIR)$(libdir)" "$(DESTDIR)$(cfalibdir)" "$(DESTDIR)$(includedir)"; do \
477          test -z "$$dir" || $(MKDIR_P) "$$dir"; \
478        done
479install: install-am
480install-exec: install-exec-am
481install-data: install-data-am
482uninstall: uninstall-am
483
484install-am: all-am
485        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
486
487installcheck: installcheck-am
488install-strip:
489        if test -z '$(STRIP)'; then \
490          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
491            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
492              install; \
493        else \
494          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
495            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
496            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
497        fi
498mostlyclean-generic:
499
500clean-generic:
501        -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
502
503distclean-generic:
504        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
505        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
506        -rm -f containers/$(DEPDIR)/$(am__dirstamp)
507        -rm -f containers/$(am__dirstamp)
508
509maintainer-clean-generic:
510        @echo "This command is intended for maintainers to use"
511        @echo "it deletes files that may require special tools to rebuild."
512        -test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
513clean: clean-am
514
515clean-am: clean-generic clean-libLIBRARIES mostlyclean-am
516
517distclean: distclean-am
518        -rm -rf ./$(DEPDIR) containers/$(DEPDIR)
519        -rm -f Makefile
520distclean-am: clean-am distclean-compile distclean-generic \
521        distclean-tags
522
523dvi: dvi-am
524
525dvi-am:
526
527html: html-am
528
529html-am:
530
531info: info-am
532
533info-am:
534
535install-data-am: install-cfalibDATA install-nobase_includeHEADERS
536
537install-dvi: install-dvi-am
538
539install-dvi-am:
540
541install-exec-am: install-libLIBRARIES
542
543install-html: install-html-am
544
545install-html-am:
546
547install-info: install-info-am
548
549install-info-am:
550
551install-man:
552
553install-pdf: install-pdf-am
554
555install-pdf-am:
556
557install-ps: install-ps-am
558
559install-ps-am:
560
561installcheck-am:
562
563maintainer-clean: maintainer-clean-am
564        -rm -rf ./$(DEPDIR) containers/$(DEPDIR)
565        -rm -f Makefile
566maintainer-clean-am: distclean-am maintainer-clean-generic \
567        maintainer-clean-local
568
569mostlyclean: mostlyclean-am
570
571mostlyclean-am: mostlyclean-compile mostlyclean-generic
572
573pdf: pdf-am
574
575pdf-am:
576
577ps: ps-am
578
579ps-am:
580
581uninstall-am: uninstall-cfalibDATA uninstall-libLIBRARIES \
582        uninstall-nobase_includeHEADERS
583
584.MAKE: install-am install-strip
585
586.PHONY: CTAGS GTAGS all all-am check check-am clean clean-generic \
587        clean-libLIBRARIES ctags distclean distclean-compile \
588        distclean-generic distclean-tags distdir dvi dvi-am html \
589        html-am info info-am install install-am install-cfalibDATA \
590        install-data install-data-am install-dvi install-dvi-am \
591        install-exec install-exec-am install-html install-html-am \
592        install-info install-info-am install-libLIBRARIES install-man \
593        install-nobase_includeHEADERS install-pdf install-pdf-am \
594        install-ps install-ps-am install-strip installcheck \
595        installcheck-am installdirs maintainer-clean \
596        maintainer-clean-generic maintainer-clean-local mostlyclean \
597        mostlyclean-compile mostlyclean-generic pdf pdf-am ps ps-am \
598        tags uninstall uninstall-am uninstall-cfalibDATA \
599        uninstall-libLIBRARIES uninstall-nobase_includeHEADERS
600
601
602# create extra forward types/declarations to reduce inclusion of library files
603extras.cf : extras.regx extras.c
604        @BACKEND_CC@ -E ${srcdir}/extras.c | grep -f extras.regx > ${srcdir}/extras.cf
605
606# create forward declarations for gcc builtins
607builtins.cf : builtins.c
608        if [ -e $< ] ; then \
609                @BACKEND_CC@ -E -P $^ | sed -e "/targetm/s/.*//" -e "/_Decimal/s/.*//" -e "s/void (const char \*)0();//" -e "s/\"//g" -e "s/\(__builtin_\) /\1/" > $@ ; \
610        fi
611
612builtins.c : builtins.def prototypes.awk
613        if [ -e $< ] ; then \
614                @BACKEND_CC@ -E prototypes.c | awk -f prototypes.awk > $@ ; \
615        fi
616
617builtins.def :
618
619prototypes.awk :
620
621#--------------------------------------------------
622
623libcfa-prelude.c : ${srcdir}/prelude.cf ${srcdir}/extras.cf ${srcdir}/builtins.cf
624        ${abs_top_srcdir}/src/driver/cfa-cpp -l ${srcdir}/prelude.cf $@  # use src/cfa-cpp as not in lib until after install
625
626libcfa-prelude.o : libcfa-prelude.c
627        @BACKEND_CC@ -c -o $@ $<
628
629# extensionless header files are overridden by -o flag in default makerule => explicitly override default rule to silently do nothing
630% : %.c
631        @true
632
633${libobjs} : ${abs_top_srcdir}/src/driver/cfa-cpp ${cfalib_DATA}        # add dependency to cfa-cpp so all libraries are rebuilt with new translator
634
635maintainer-clean-local:
636        -rm -rf ${includedir}/*
637
638# Tell versions [3.59,3.63) of GNU make to not export all variables.
639# Otherwise a system limit (for SysV at least) may be exceeded.
640.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.